<!DOCTYPE html>
<html>
    <head>
        <title>To Do</title>
    </head>
    <body>
        <header>
        </header>
        <main>
            <h1>My lists</h1>
            {% comment %} <a href=" {% url 'path_name' %}> {% endcomment %}
            
            {% comment %} <a href="{% url 'todos_detail' %}">details</a> {% endcomment %}
            <a href="{% url 'todos_create' %}">Create a new list</a>
            <a href="{% url 'todoitem_create' %}">Create a new item</a>
            <p></p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of items</th>
                        {% comment %} <th>TEST</th> {% endcomment %}
                    </tr>
                </thead>
                <tbody>
                    {% for banana in total_todos %}
                    <tr>
                        <td>
                            <a href="{% url 'todos_detail' banana.pk %}">{{ banana.name }}</a>
                        </td>
                        <td>
                            {{ banana.items.all|length }}
                        </td>
                         {% comment %} <td> 
                             {% for item in banana.items.all %} 
                                 {{ item.task }} 
                             {% endfor %} 
                        </td> {% endcomment %}
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </main>
        <footer>
        </footer>
    </body>
</html>
